function qob=base_quasiorthoband(bandin,dt,dt0)
% less strong than orthoband 

% Snag Version 2.0 - April 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

if ~exist('dt0','var')
    dt0=0.1;
end
baseb0=1/dt0;
basefr=floor(bandin(1)/baseb0)*baseb0;
bandin1=bandin-basefr;
bandw=diff(bandin);
bandb=1/dt;
nmax=ceil(bandb/bandw-100*eps);
iok=0;

for i = nmax:-1:1
    bandw1=bandb/i;
    i1=floor(bandin1(1)/bandw1);
    if (i1 +1)*bandw1 >= bandin1(2)-100*eps
        iok=1;
        break
    end
end

if iok == 0
    disp(' ')
    disp(' *** ERROR !')
end
qob.ok=iok;
qob.bandw=bandw1;
qob.nband=i;
qob.kband=i1+1;
qob.bandout=[i1*bandw1 (i1+1)*bandw1]+basefr;