function outcw=bsd_ana_cwcand(bsds_addr_tab,cands,nameout,wband,MAcom)
% Analysis for h-inj or candidates
%
%   bsds_addr_tab   addr & table structure
%   cands           table or cell array for hinj or cands
%   wband           output band (def 0.5)
%   MAcom           MAcom structure (if absent, default)
%
%   to have the table or the cell array, see all_hard_inj or similar, and use cwinj_xx
%
%   use bsd_show_cand to show results

% Snag Version 2.0 - May 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

if ~exist('wband','var')
    wband=0.5;
end

if ~exist('MAcom','var')
    MAcom=struct();
end

[npmax,i2]=size(cands);
fprintf('\n  Analyzing %d sources \n\n',npmax)
outcw.bsds_addr_tab=bsds_addr_tab;

if iscell(cands)
else    
    for i = 18:npmax
        pul=read_cwinj_table(cands,i-1);
        eval(['outcw1=bsd_multiant_equi(bsds_addr_tab,pul,wband,MAcom)'])
        eval(['save(''' nameout pul.name ''',''outcw1'',''-v7.3'') '])
    end
end