function out=bsd_shift_decade(in,tref)
% shift bsd data to next decade (or, in general, basic band)
%
%   in    input bsd
%   tref  reference time (def 14 sep 2015)

% Snag Version 2.0 - April 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni and S. Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Sapienza University - Rome

if ~exist('tref','var')
    tref=v2mjd([2015 9 14]);
end

dt=dx_gd(in);
n=n_gd(in);
cont=cont_gd(in);
if isfield(cont,'t0')
    t0=cont.t0;
else
    t0=tref;
    disp('   ***  NOT A BSD !')
end
dfr=1/dt; %figure,plot(real(fft(y_gd(in)))),grid on
in1=bsd_enlarge(in); %figure,plot(real(fft(y_gd(in1)))),grid on
y=y_gd(in1); 
n1=n_gd(in1);
dt1=dt/2;

tt0=diff_mjd(tref,t0);
v=exp(1j*dfr*2*pi*((0:n1-1)*dt1+tt0)).';

y=v.*y;
% % % y=fft(y); %figure,plot(real(y)),grid on
% % % y=ifft(y(n+1:n1));
% % % out=edit_gd(in,'y',y/2);

out=edit_gd(in,'y',y,'dx',dt1);