% ex1_bsd_event
%
% data extraction in a band [30 300] Hz
% 5 min around the exact minute
%
% whitening filter and time resolution enhancement
% complex to real conversion

addr='K:';

OO='O3';
tablH=BSD_O3_H;
tablL=BSD_O3_L;
tablV=BSD_O3_V;

EVO3='GW190408_181802'; 
EVO3='GW190412_053044';  % 19.7
EVO3='GW190425_081895';
EVO3='GW190519_153544';
EVO3='GW190521_030229';
EVO3='GW190521_074359';  % 24.7
EVO3='GW190814_211039';
EVO3='GW190828_063405';  % 22.2
%EVO3='';
EVO3='GW190521_074359_463379';

MJD=GW2mjd(EVO3);
framp=300
tamp=1

tic

mjd_day=floor(MJD);
mjd_min=floor((MJD-mjd_day)*1440)/1440;
min5=5/1440;
t1=mjd_day+mjd_min-min5; mjd2s(t1)
t2=mjd_day+mjd_min+min5; mjd2s(t2)
sec=(MJD-t1)*86400

[bsd_outL,BSD_tab_outL,outL]=bsd_lego(addr,tablL,OO,[t1 t2],[30 320],3);
[bsd_outH,BSD_tab_outH,outH]=bsd_lego(addr,tablH,OO,[t1 t2],[30 320],3);

disp('Data extraction'),toc

[whL,filthL]=bsd_frfilt(bsd_outL,'white');
[whH,filthH]=bsd_frfilt(bsd_outH,'white');

[whL_norm,knormL,gausL]=filt_renorm(filthL,bsd_outL,framp,tamp);
[whH_norm,knormH,gausH]=filt_renorm(filthH,bsd_outH,framp,tamp);

rwhL=bsd_real(whL);
rwhH=bsd_real(whH);
rwhL_norm=bsd_real(whL_norm);
rwhH_norm=bsd_real(whH_norm);
figure;plot(rwhL),hold on,plot(rwhH,'r');plot_lines(sec,rwhL)
figure;plot(rwhL_norm),hold on,plot(rwhH_norm,'r'); title('normalized');plot_lines(sec,rwhL)

WHL=bsd_resenh(whL,10);
WHH=bsd_resenh(whH,10);

WHL_norm=bsd_resenh(whL_norm,10);
WHH_norm=bsd_resenh(whH_norm,10);

rWHL=bsd_real(WHL);
rWHH=bsd_real(WHH);
rWHL_norm=bsd_real(WHL_norm);
rWHH_norm=bsd_real(WHH_norm);

figure;plot(rWHL);hold on;plot(rWHH,'r');plot(rwhL,'r.');plot(rwhH,'b.');plot_lines(sec,rWHL)
figure;plot(rWHL_norm);hold on;plot(rWHH_norm,'r');plot(rwhL_norm,'r.');plot(rwhH_norm,'b.'); title('normalized');plot_lines(sec,rWHL)

figure;plot(rWHL);hold on;plot(rWHH,'r');plot_lines(sec,rWHL)

figure;plot(rWHL_norm);hold on;plot(rWHH_norm,'r');plot_lines(sec,rWHL_norm)


mjd2s(t1),mjd2s(t2)

disp('End'),toc