function filnam=NC_filnam(typ,header,tab,band,dats,tail)
% name of NC collections files
%
%   typ     1  DB1
%   header  ex.: 'DB1_GC'
%   tab     table or other... CORREGGERE
%   band    [min max]                  ([] not present)
%   dats    other (1 or more numbers)  ([] not present)
%   tail    suffix (if present)

% Snag Version 2.0 - May 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by O.J.Piccinni, S.D'Antonio and S.Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

if ~exist('dats','var')
    dats=[];
end
if ~exist('tail','var')
    tail=[];
end

% if ~isempty(ant)  
%     switch ant
%         case 'ligoh'
%             A='H';
%         case 'ligol '
%             A='L';
%         case 'virgo'
%             A='V';
%     end
% end
% if ~ischar(tab)
%     tab=inputname(3);
% end
ant1=tab.antenna;
ant=ant1{1};
run1=tab.run;
run=run1{1}

switch ant
    case 'ligoh'
        A='H';
    case 'ligol '
        A='L';
    case 'virgo'
        A='V';
    case 'kagra'
        A='K';
end

switch typ
    case 1
        filnam=sprintf('NC1_%s_%s_%s_%04d_%04d',header,run,A,band(1),band(2));
    case 2
        filnam=sprintf('NC2_%s_%s_%s_%04d_%04d',header,run,A,band(1),band(2));
    case 3
        filnam=sprintf('NC3_%s_%s_%s',header,tab,tail);
    case 4
        filnam=sprintf('NC4_%s_%s_%s',header,tab,tail);
    otherwise
        filnam=sprintf('file_%d',dats);
end