function out=NC_spshift(sp,band,M,shiftvec)
% spectrogram shift 
%
%   sp        spectrogram (t rows, fr column)
%   M         over-resolution factor (min & def 1, typical 6)
%   shiftvec  shifts in fraction of c (nt values)

[nt,nf]=size(sp);
if length(shiftvec) ~= nt
    fprintf('*** ERROR ! nt = %d, nf = %d length(shiftvec) = %d\n',nt,nf,length(shiftvec))
    out=0;
    return
end
spout=zeros(nt,nf);
if M > 1
    SP=fft(sp.');
    SP(nf+1:M*nf,:)=0; size(SP)
    SP=ifft(SP).';
else
    SP=sp;
end

[kfrout,frout,relsf]=NC_fr_sampling(band,nf,M,0);
SP=SP(:,kfrout);

for i = 1:nt
    kk=round(shiftvec(i)/relsf);
    if kk > 0
        spout(i,kk+1:nf)=SP(i,1:nf-kk);
    elseif kk < 0
%         spout(i,1:nf-kk)=SP(i,kk+1:nf);
        spout(i,1:nf+kk)=SP(i,-kk+1:nf); % Modifica Lorenzo 16-3-2022
    end
end

out.nf=nf;
out.nt=nt;
out.SP=SP;
out.spout=spout;
out.frout=frout;
out.relsf=relsf;