function out=ant_sour(ant,sour)
%
%    ant,sour   strutture standard
%
% se ant ha il campo ant (=1 lat=0, =2 lat=45, =3 lat=90, long=0)
% se sour ha il campo sour (=1 d=0, =2 d=45, =3 d=90, a=0)

% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% v1 April 2022
% by Sergio Frasca - ser.fras@gmail.com

if isfield(ant,'ant')
    ant.long=0;
    switch ant.ant
        case 1
            ant.lat=0;
        case 2
            ant.lat=45;
        case 3
            ant.lat=90;
    end
end
if isfield(sour,'sour')
    ant.a=0;
    switch sour.sour
        case 1
            sour.d=0;
        case 2
            sour.d=45;
        case 3
            sour.d=90;
    end
end

out.ant=ant;
out.sour=sour;
[L0 L45 CL CR v Hp Hc]=sour_ant_2_5vec(sour,ant,1);
out.v=v;

[S,SP,s,sp,S1,SP1,SS1]=SidPat_from5v(v);
out.SP=SP;
out.S=S;
out.sp=sp;
out.s=s;
out.SP1=SP1;
out.S1=S1;

figure,plot(SP);grid on