function [ftpobj,par]=crea_ftpobj(fil)
% create an FTP object
%
%   fil  file with parameters
%        .host xxx
%        .username xxx
%        .password xxx
%        .folder xxx
%        delimiter ' '

% Snag Version 2.0 - May 2020
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by Sergio Frasca - ser.fras@gmail.com
% Department of Physics - Sapienza University - Rome

host='xxx';
username='xxx';
password='xxx';
folder='xxx';

if exist('fil','var')
    fid=fopen(fil);
    tline=' ';
    while ischar(tline)
        tline = fgetl(fid);
        [A,AA]=strtok(tline);
        switch A
            case '.host'
                host=AA;
            case '.username'
                username=AA;
            case '.password'
                password=AA;
            case '.folder'
                dir=AA;
        end
    end
end

prompt={'host'...
     'username'...
     'password'...
     'folder'};
defarg={host username password folder};

answ=inputdlg(prompt,'FTP parameters:',1,defarg);

host=answ{1};
username=answ{2};
password=answ{3};
folder=answ{4};

ftpobj=ftp(host,username,password);
par.folder=folder;