function out=no_nan(in,new)
% NO_NAN  changes NaN data
%
%    out=no_nan(in,new)
%
%   in        input data (array or gd or gd2
%   new       substitution value for NaN (def 0)
%

% Snag Version 2.0 - November 2021
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% by Sergio Frasca - ser.fras@gmail.com
% Department of Physics -  Sapienza Rome University

if ~exist('new','var')
    new=0;
end

icg=0;
if isa(in,'float')
    icg=3;
end
if isa(in,'gd')
    icg=1;
    in1=in;
    in=y_gd(in);
end
if isa(in,'gd2')
    icg=2;
    in1=in;
    in=y_gd2(in);
end

if icg == 0
    disp(' *** ERROR in input data')
    return
end
icg
nin=isnan(in);
[non1,non2]=find(nin);
N=length(non1);
for i = 1:N
    in(non1(i),non2(i))=new;
end

if icg == 1
    out=edit_gd(in1,'y',in)
end

if icg == 2
    out=edit_gd2(in1,'y',in)
end

if icg == 3
    out=in;
end