%MoreSnag secondary window

% Version 1.0 - May 1999
% Part of Snag toolbox - Signal and Noise for Gravitational Antennas
% Copyright (c) 1999  Sergio Frasca - sergio.frasca@roma1.infn.it
% Department of Physics - Universita` "La Sapienza" - Rome

snag_local_symbols;

strpr1='1 gd processing';
strpr2='2 gd processing';

switch snagos
case 'unix'
   strpr1='1 gd proc';
   strpr2='2 gd proc';
end
   
figNumberOt=figure( ...
    'Name','Snag - More Procedures', ...
    'NumberTitle','off', ...
    'Color',[1 1 0.7],...
    'MenuBar','none',...
    'Visible','off');

strip=0.21;
dstrip=(1-4*strip)/5;

top=1-dstrip;
bottom=dstrip;
left=dstrip;
btnWid=strip*(strip-dstrip)/strip;
dbtnWid=(strip-btnWid)/2;

frHeight=top-bottom;
btnHt=frHeight/(8+9/4);
dbtnHt=btnHt/4;

labelColor=[0.8 0.8 0.8];

% Spacing between the button and the next command's label
spacing=0.027;

%====================================
% The CONSOLE frame1
frmBorder=0.02;
yPos=bottom;
frmPos=[left yPos strip top-bottom];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);
 
 
%====================================
% The NEWGD button
btnNumber=1;
yPos=top-(btnHt+dbtnHt);
callbackStr='newgdgui';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String','New gd', ...
    'Callback',callbackStr);

%====================================
% The SAVE button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='iwrite_snf_gd';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String','Save gd', ...
    'Callback',callbackStr);
 
%====================================
% The DELETE button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
labelStr=strpr2;
callbackStr='deletegd';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String','Delete gd', ...
    'Callback',callbackStr);
 
%====================================
% The HELP button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
callbackStr='web([snagdir ''doc/snag/snaggui.htm'']);';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.6 1 0.7], ...
    'String','Help', ...
    'Callback',callbackStr);
 
%====================================
% The SNAG button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='snag';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[1 0.55 0.65], ...
    'String','Snag', ...
    'Callback',callbackStr);
 
%====================================
% The CONSOLE frame2

left=left+strip+dstrip;

frmBorder=0.02;
yPos=0.05-frmBorder;
frmPos=[left yPos strip 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);

%====================================
% The PROC1 button
btnNumber=1;
yPos=top-(btnHt+dbtnHt);
labelStr=strpr1;
callbackStr='uiproc1gd';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String',labelStr, ...
    'Callback',callbackStr);

%====================================
% The PROC2 button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
labelStr=strpr2;
callbackStr='uiproc2gd';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String',labelStr, ...
    'Callback',callbackStr);
  
%====================================
% The CONSOLE frame3
 
left=left+strip+dstrip;
 
frmBorder=0.02;
yPos=0.05-frmBorder;
frmPos=[left yPos strip 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);
 
%====================================
% The PLOT button
btnNumber=1;
yPos=top-(btnHt+dbtnHt);
callbackStr='gd_plot';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String','gd Plot', ...
    'Callback',callbackStr);

%====================================
% The CPLOT button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='Complex Plot';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String','gd C-plot', ...
    'Callback',callbackStr);
 
%====================================
% The STAT button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
callbackStr='gd_stat';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String','gd Stat', ...
    'Callback',callbackStr);
  
%====================================
% The SNF button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
yPos=yPos-(btnHt+dbtnHt);
callbackStr='browse_snf;';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.8 0.65 1], ...
    'String','snf files', ...
    'Callback',callbackStr);
 
%====================================
% The CONSOLE frame4
 
left=left+strip+dstrip;

frmBorder=0.02;
yPos=0.05-frmBorder;
frmPos=[left yPos strip 0.9+2*frmBorder];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 1]);

%====================================
% The DB button
btnNumber=1;
yPos=top-(btnHt+dbtnHt);
labelStr='DataBrowser';
callbackStr='data_browser';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String',labelStr, ...
    'Callback',callbackStr);

%====================================
% The APPLIC button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
labelStr='Applications';
callbackStr='uiapplication';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String',labelStr, ...
    'Callback',callbackStr);
 
%====================================
% The DEMO button
btnNumber=2;
yPos=yPos-(btnHt+dbtnHt);
labelStr='Demo';
callbackStr='uidemo';

% Generic popup button information
btnPos=[left+dbtnWid yPos btnWid btnHt];
uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',[0.9 0.75 1], ...
    'String',labelStr, ...
    'Callback',callbackStr);
  

% Now uncover the figure
set(figNumberOt,'Visible','on');



